port: 7890
socks-port: 7891
allow-lan: false
mode: rule
log-level: info

proxies:
  - name: Neds
    type: socks5
    server: nl4.joybang.site
    port: 9648
    username: bnfgqovjf
    password: ZhkDoVzNdfzI

proxy-groups:
  - name: Proxy
    type: select
    proxies:
      - Neds

rules:
  # YouTube
  - DOMAIN-SUFFIX,youtube.com,Proxy
  - DOMAIN-SUFFIX,youtu.be,Proxy
  - DOMAIN-SUFFIX,googlevideo.com,Proxy
  - DOMAIN-SUFFIX,ytimg.com,Proxy

  # Instagram / Threads / Facebook
  - DOMAIN-SUFFIX,instagram.com,Proxy
  - DOMAIN-SUFFIX,cdninstagram.com,Proxy
  - DOMAIN-SUFFIX,threads.net,Proxy
  - DOMAIN-SUFFIX,threads.com,Proxy
  - DOMAIN-SUFFIX,facebook.com,Proxy
  - DOMAIN-SUFFIX,fbcdn.net,Proxy

  # ChatGPT / OpenAI
  - DOMAIN-SUFFIX,chatgpt.com,Proxy
  - DOMAIN-SUFFIX,openai.com,Proxy
  - DOMAIN-SUFFIX,oaiusercontent.com,Proxy
  - DOMAIN-SUFFIX,auth0.com,Proxy

  # Grok (xAI)
  - DOMAIN-SUFFIX,x.ai,Proxy
  - DOMAIN-SUFFIX,grok.x.ai,Proxy
  - DOMAIN-SUFFIX,api.x.ai,Proxy
  - DOMAIN-SUFFIX,grok.com,Proxy

  # Gemini (xAI)
  - DOMAIN-SUFFIX,gemini.google.com,Proxy


  #Other
  - DOMAIN-SUFFIX,eporner.com,Proxy
  - DOMAIN-SUFFIX,pornhub.com,Proxy
  - DOMAIN-SUFFIX,xvideos.com,Proxy
  - DOMAIN-SUFFIX,fansly.com,Proxy
  - DOMAIN-SUFFIX,rutracker.org,Proxy
  - DOMAIN-SUFFIX,pornolab.net,Proxy

  # Остальное — напрямую
  - MATCH,DIRECT
